## reapr 1.0.18+dfsg

=== src/Makefile ===
BAMTOOLS_ROOT = $(CURDIR)/bamtools
CC = g++
CFLAGS = -Wl,-rpath,$(BAMTOOLS_ROOT)/lib  -Wall -O3  -I $(BAMTOOLS_ROOT)/include -L $(BAMTOOLS_ROOT)/lib
TABIX = tabix/tabix.o  -L./tabix -ltabix -lz
STATS_OBJS =  trianglePlot.o coveragePlot.o fasta.o histogram.o utils.o
SCORE_OBJS = errorWindow.o utils.o histogram.o
BREAK_OBJS = fasta.o utils.o
BAM2INSERT_OBJS = histogram.o utils.o
BAM2PERFECT_OBJS = utils.o
BAM2COV_OBJS = coveragePlot.o utils.o
BAM2FCDESTIMATE_OBJS = histogram.o utils.o trianglePlot.o
FA2GAPS_OBJS = fasta.o
SCAFF2CONTIG_OBJS = fasta.o
FA2GC_OBJS = fasta.o
GAPRESIZE_OBJS = utils.o trianglePlot.o fasta.o
FCDRATE_OBJS = histogram.o utils.o
N50_OBJS = fasta.o
EXECUTABLES = task_score task_stats task_break bam2fragCov bam2insert bam2fcdEstimate make_plots fa2gaps fa2gc scaff2contig n50 task_gapresize task_fcdrate bam2perfect

all: $(EXECUTABLES)

errorWindow.o: errorWindow.cpp
	$(CC) $(CFLAGS) -c errorWindow.cpp

trianglePlot.o: trianglePlot.cpp utils.o
	$(CC) $(CFLAGS) -c trianglePlot.cpp

coveragePlot.o: coveragePlot.cpp
	$(CC) $(CFLAGS) -c coveragePlot.cpp

fasta.o: fasta.cpp
	$(CC) $(CFLAGS) -c fasta.cpp

histogram.o: histogram.cpp
	$(CC) $(CFLAGS) -c histogram.cpp

utils.o: utils.cpp
	$(CC) $(CFLAGS) -lbamtools -c utils.cpp

task_stats: task_stats.o $(STATS_OBJS)
	$(CC) $(CFLAGS) task_stats.o $(STATS_OBJS) -lbamtools -o task_stats $(TABIX)

task_stats.o: task_stats.cpp $(STATS_OBJS)
	$(CC) $(CFLAGS) -c task_stats.cpp

task_score: task_score.o $(SCORE_OBJS)
	$(CC) $(CFLAGS) task_score.o $(SCORE_OBJS) -lbamtools -o task_score $(TABIX)

task_score.o: task_score.cpp $(SCORE_OBJS)
	$(CC) $(CFLAGS) -c task_score.cpp

task_break: task_break.o $(BREAK_OBJS)
	$(CC) $(CFLAGS) task_break.o $(BREAK_OBJS) -lbamtools -o task_break $(TABIX)

task_break.o: task_break.cpp $(BREAK_OBJS)
	$(CC) $(CFLAGS) -c task_break.cpp

bam2fragCov: bam2fragCov.o $(BAM2COV_OBJS)
	$(CC) $(CFLAGS) bam2fragCov.o $(BAM2COV_OBJS) -lbamtools -o bam2fragCov $(TABIX)

bam2fragCov.o: bam2fragCov.cpp $(BAM2COV_OBJS)
	$(CC) $(CFLAGS) -c bam2fragCov.cpp

bam2insert: bam2insert.o $(BAM2INSERT_OBJS)
	$(CC) $(CFLAGS) bam2insert.o $(BAM2INSERT_OBJS) -lbamtools -o bam2insert $(TABIX)

bam2insert.o: bam2insert.cpp $(BAM2INSERT_OBJS)
	$(CC) $(CFLAGS) -c bam2insert.cpp

bam2perfect: bam2perfect.o $(BAM2PERFECT_OBJS)
	$(CC) $(CFLAGS) bam2perfect.o $(BAM2PERFECT_OBJS) -lbamtools -o bam2perfect $(TABIX)

bam2perfect.o: bam2perfect.cpp $(BAM2PERFECT_OBJS)
	$(CC) $(CFLAGS) -c bam2perfect.cpp

bam2fcdEstimate: bam2fcdEstimate.o $(BAM2FCDESTIMATE_OBJS)
	$(CC) $(CFLAGS) bam2fcdEstimate.o $(BAM2FCDESTIMATE_OBJS) -lbamtools -o bam2fcdEstimate $(TABIX)

bam2fcdEstimate.o: bam2fcdEstimate.cpp $(BAM2FCDESTIMATE_OBJS)
	$(CC) $(CFLAGS) -c bam2fcdEstimate.cpp

make_plots: make_plots.o
	$(CC) $(CFLAGS) make_plots.o -o make_plots

make_plots.o: make_plots.cpp
	$(CC) $(CFLAGS) -c make_plots.cpp

fa2gc: fa2gc.o $(FA2GC_OBJS)
	$(CC) $(CFLAGS) fa2gc.o $(FA2GC_OBJS) -o fa2gc

fa2gc.o: fa2gc.cpp $(FA2GC_OBJS)
	$(CC) $(CFLAGS) -c fa2gc.cpp

fa2gaps: fa2gaps.o $(FA2GAPS_OBJS)
	$(CC) $(CFLAGS) fa2gaps.o $(FA2GAPS_OBJS) -o fa2gaps

fa2gaps.o: fa2gaps.cpp $(FA2GAPS_OBJS)
	$(CC) $(CFLAGS) -c fa2gaps.cpp

n50: n50.o $(N50_OBJS)
	$(CC) $(CFLAGS) n50.o $(N50_OBJS) -o n50

n50.o: n50.cpp $(N50_OBJS)
	$(CC) $(CFLAGS) -c n50.cpp

scaff2contig: scaff2contig.o $(SCAFF2CONTIG_OBJS)
	$(CC) $(CFLAGS) scaff2contig.o $(SCAFF2CONTIG_OBJS) -o scaff2contig

scaff2contig.o: scaff2contig.cpp $(SCAFF2CONTIG_OBJS)
	$(CC) $(CFLAGS) -c scaff2contig.cpp

task_gapresize: task_gapresize.o $(GAPRESIZE_OBJS)
	$(CC) $(CFLAGS) task_gapresize.o $(GAPRESIZE_OBJS) -lbamtools -o task_gapresize $(TABIX)

task_gapresize.o: task_gapresize.cpp $(GAPRESIZE_OBJS)
	$(CC) $(CFLAGS) -c task_gapresize.cpp

task_fcdrate: task_fcdrate.o $(FCDRATE_OBJS)
	$(CC) $(CFLAGS) task_fcdrate.o $(FCDRATE_OBJS) -lbamtools -o task_fcdrate $(TABIX)

task_fcdrate.o: task_fcdrate.cpp $(FCDRATE_OBJS)
	$(CC) $(CFLAGS) -c task_fcdrate.cpp

clean:
	rm -rf *.o $(EXECUTABLES)

## reapr 1.0.18%2Bdfsg

=== debian/control ===
Source: reapr
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Sascha Steinbiss <satta@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               libbamtools-dev,
               libtabixpp-dev,
               libhts-dev (>= 1.3),
               zlib1g-dev,
               asciidoctor,
               samtools (>= 1.3),
               bamtools,
               smalt,
               r-base,
               snpomatic,
               tabix,
               libfile-copy-link-perl
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/reapr.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/reapr.git
Testsuite: autopkgtest
Homepage: http://www.sanger.ac.uk/science/tools/reapr

Package: reapr
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         samtools (>= 1.3),
         bamtools,
         smalt,
         r-base,
         snpomatic,
         tabix,
         libtabixpp0,
         libfile-copy-link-perl
Description: universal tool for genome assembly evaluation
 REAPR is a tool that evaluates the accuracy of a genome assembly using mapped
 paired end reads, without the use of a reference genome for comparison. It can
 be used in any stage of an assembly pipeline to automatically break incorrect
 scaffolds and flag other errors in an assembly for manual inspection. It
 reports mis-assemblies and other warnings, and produces a new broken assembly
 based on the error calls.
 .
 The software requires as input an assembly in FASTA format and paired reads
 mapped to the assembly in a BAM file. Mapping information such as the fragment
 coverage and insert size distribution is analysed to locate mis-assemblies.
 REAPR works best using mapped read pairs from a large insert library (at least
 1000bp). Additionally, if a short insert Illumina library is also available,
 REAPR can combine this with the large insert library in order to score each
 base of the assembly.

## reapr 1.0.18+dfsg

=== debian/changelog ===
reapr (1.0.18+dfsg-7) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * Team upload.
  * d/watch: https is now an option for the Sanger FTP site.

  [ Andreas Tille ]
  * Fix clean target
    Closes: #1045461
  * Standards-Version: 4.7.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 21 Dec 2024 22:47:35 +0100

reapr (1.0.18+dfsg-6) unstable; urgency=medium

  * Team upload.

  [ Matthias Klose ]
  * Drop hard-coded dependency on shared library. ${shlib:Depends} is
    working these days.
    Closes: #1068432

  [ Andreas Tille ]
  * Standards-Version: 4.6.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Rules-Requires-Root: no (routine-update)
  Update renamed lintian tag names in lintian overrides.
  * watch file standard 4 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 05 Apr 2024 08:55:49 +0200

reapr (1.0.18+dfsg-5) unstable; urgency=medium

  * Team upload.
  * debhelper-compat 12
  * Secure URI in copyright format
  * Use secure URI in Homepage field.
  * Move source package lintian overrides to debian/source.
  * Update renamed lintian tag names in lintian overrides.
  * debian/rules: fix incorrect-path-for-interpreter

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Thu, 26 Dec 2019 16:22:02 +0100

reapr (1.0.18+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Drop unneeded Testsuite: autopkgtest
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.5

 -- Andreas Tille <tille@debian.org>  Sat, 14 Jul 2018 16:18:20 +0200

reapr (1.0.18+dfsg-3) unstable; urgency=medium

  * Rearrange linking order to fix FTBFS with ld --as-needed
    (Thanks to Logan Rosen for the patch from Ubuntu)
  * Update maintainer email address.
  * Bump Standards-Version.

 -- Sascha Steinbiss <satta@debian.org>  Tue, 12 Jul 2016 08:47:26 +0000

reapr (1.0.18+dfsg-2) unstable; urgency=medium

  * make manpage building reproducible by not using ronn anymore
  * enable full hardening

 -- Sascha Steinbiss <sascha@steinbiss.name>  Wed, 16 Mar 2016 22:03:46 +0000

reapr (1.0.18+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #813385)

 -- Sascha Steinbiss <sascha@steinbiss.name>  Thu, 25 Feb 2016 11:10:05 +0000

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

mandir := $(CURDIR)/debian/man
debfolder := $(CURDIR)/debian
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

override_dh_auto_build:
	cd src && $(MAKE)

override_dh_auto_install:
	mkdir -p debian/reapr/usr/lib/reapr
	install src/reapr.pl debian/reapr/usr/lib/reapr/reapr.pl
	chmod -x src/*.cpp
	find src -executable -exec install {} debian/reapr/usr/lib/reapr \;
	dh_auto_install --

override_dh_install:
	for pl in `grep -Rl '#!/usr/bin/env' debian/*/usr/*` ; do \
	    sed -i '1s?^#!/usr/bin/env[[:space:]]\+perl?#!/usr/bin/perl?' $${pl} ; \
	done

override_dh_installman:
	mkdir -p $(mandir)
	asciidoctor -a docdate='' -b manpage $(debfolder)/man_src/*.adoc
	cp $(debfolder)/man_src/*.? $(mandir)
	dh_installman --

override_dh_auto_clean:
	rm -rf $(debfolder)/man_src/*.html $(debfolder)/man_src/*.?
	rm -rf $(mandir)
	rm -rf $(debfolder)/test
	dh_auto_clean --

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	mkdir $(debfolder)/test
	ln -s $(CURDIR)/src/reapr.pl $(debfolder)/test/reapr
	PATH=$(PATH):$(CURDIR)/src:$(debfolder)/test $(debfolder)/tests/test-example
	rm -rf $(debfolder)/test
endif

=== debian/watch ===
version=4
opts=pasv,repacksuffix=+dfsg,dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$// \
https://ftp.sanger.ac.uk/pub/resources/software/reapr/Reapr_([0-9.]+)\.tar\.gz
